Subject: Re: via_rhine modules error on 2.6.16 with mii-tool

From: Roger Luethi <[email-masked]>
Date: Thu, 13 Apr 2006 22:31:48 +0200

On Thu, 13 Apr 2006 14:26:43 -0400, John W. Linville wrote:
> > I wonder if low latency for ancient Rhine-I chips is worth the trouble.
> 
> IIRC, the point was that mdelay was getting called in interrupt
> context and causing ugly messages to show-up in dmesg.

I suppose the patch back then was to reduce latency; the ugly messages in
the kernel ring buffer were _introduced_ with the patch (you shouldn't get 
error messages calling mdelay in interrupt context because that's what
mdelay is for).

> Would the patch below be sufficient?  Or does the whole patch need
> to be reverted?

I'd revert the whole thing. There's no point in having the additional
work_struct complexity if we end up calling mdelay anyway.

Roger